/****************************************************************************
 * 컨텐츠 조회
 ****************************************************************************/
function fn_selectWebYouTube(){
    if(true != fn_emptyCheck(muWebYouTubeId)) {
        modalEvent.warning("수정", "컨텐츠 정보가 없습니다.");
        return;
    }
    let formData = new FormData();
    formData.append("menuClass", menuClass);
    formData.append("muWebYouTubeId", muWebYouTubeId);

    $.ajax({
        url: encodeURI('/webyoutube/selectWebYouTube.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: true,
        success: function(data){
            if('0'==data.msgCode){
                let contentData = data.rows[0];

                $("#title").val(contentData.title);
                $("#url").val(contentData.url);
            }
            else{
                modalEvent.danger("수정 오류", data.msgDesc);
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("수정 오류", "수정 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}

/****************************************************************************
 * 컨텐츠 수정
 ****************************************************************************/
function fn_updateWebYouTube(){
    if("Y"!=updateUseYn){
        modalEvent.warning("", "수정 권한이 없습니다.");
        return false;
    }

    let title          = $("#title").val();
    let url            = $("#url").val();

    if(true != fn_emptyCheck(title)) {
        modalEvent.warning("등록", "제목을 입력하세요.");
        return;
    }

    modalEvent.info("수정", "유튜브 정보를 수정하시겠습니까?", function(){
        let formData = new FormData();
        formData.append("menuClass", menuClass);
        formData.append("muWebYouTubeId", muWebYouTubeId);
        formData.append("title", title);
        formData.append("url", url);

        $.ajax({
            url: encodeURI('/webyoutube/updateWebYouTube.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    modalEvent.success("수정 성공", data.msgDesc, function(){
                        fn_selectListWebYouTubeIntro();
                    });
                }
                else{
                    modalEvent.danger("수정 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("수정 오류", "수정 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    });
}

/****************************************************************************
 * 리스트 화면으로 이동.
 ****************************************************************************/
function fn_selectListWebYouTubeIntro(){
    if("Y"==selectUseYn){
        let pagingParam = "?menuClass="+menuClass;
        fn_leftFormAction("/webyoutube/selectListWebYouTubeIntro.do"+pagingParam);
    }else{
        modalEvent.warning("", "조회 권한이 없습니다.");
        return false;
    }
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
    fn_selectWebYouTube();
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
    // 검색 input
    $('.btnCancle').on("click", function(){
        fn_selectListWebYouTubeIntro();
    });

    $('.btnSave').on("click", function(){
        fn_updateWebYouTube();
    });
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});